Subject: Re: bug#14030: 24.3; expand-file-name expands remote file name on Windows incorrectly

From: Eli Zaretskii <[email-masked]>
Date: Mon, 25 Mar 2013 11:55:09 +0200

> From: Michael Albinus <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Mon, 25 Mar 2013 10:20:12 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> How could I avoid this eager optimization?
> >
> > How about making tramp-drop-volume-letter a simple function?
> 
> For this problem it might be the right thing to do. But we shall
> continue to investigate (Stefan?), because this problem could happen
> elsewhere.

I agree.

> I've committed a respective patch to the emacs-24 branch.

Thanks.

> Shall we put a note somewhere, that tramp-sh.el of Emacs 24.3 needs
> to be recompiled on MS Windows?

I couldn't think about any proper place.  This discussion is already
one way to make this issue and its solution known.  But if someone
comes with suggestions to advertise this in other places, I'm for it.